DECLARE integer LineTo			  IN WIN32API integer, integer, integer
DECLARE integer MoveToEx 		  IN WIN32API integer, integer, integer, integer
DECLARE integer AngleArc		  IN WIN32API integer, integer, integer, integer, single, single
DECLARE integer Arc				  IN WIN32API integer, integer, integer, integer, integer, integer, integer, integer, integer
DECLARE integer TextOut			  IN WIN32API integer, integer, integer, string, integer
DECLARE integer StartDoc		  IN WIN32API integer, string
DECLARE integer EndDoc			  IN WIN32API integer
DECLARE integer SetBkColor		  IN WIN32API integer, integer
DECLARE integer SetBkMode		  IN WIN32API integer, integer
DECLARE integer SetBoundsRect	  IN WIN32API integer, string, integer
DECLARE integer CreateDC 		  IN WIN32API string, string, string, string
DECLARE integer GetDeviceCaps	  IN WIN32API integer, integer
DECLARE integer SelectObject	  IN WIN32API integer, integer
DECLARE integer DeleteObject	  IN WIN32API integer
DECLARE integer CreatePen		  IN WIN32API integer, integer, integer
DECLARE integer DrawText		  IN WIN32API integer, string, integer, string, integer
DECLARE integer CreateSolidBrush  IN WIN32API integer
DECLARE integer FillRect		  IN WIN32API integer, string, integer
DECLARE integer Pie				  IN WIN32API integer, integer, integer, integer, integer, integer, integer, integer, integer
DECLARE integer DrawFocusRect	  IN WIN32API integer, string
DECLARE integer PolyBezierTo	  IN WIN32API integer, string, integer
DECLARE integer PolyBezier		  IN WIN32API integer, string, integer
DECLARE integer GetCursorPos	  IN WIN32API string
DECLARE integer GetTextExtentPoint32  IN WIN32API integer, string, integer, string

DECLARE integer ShellExecute	  IN shell32 integer, string, string, string, string, integer
DECLARE integer GetLastError	  IN Kernel32

DECLARE integer BeginPaint		  IN user32;
    INTEGER   hWnd,;   
    STRING  @ lpPaint

DECLARE integer EndPaint		  IN user32;
    INTEGER   hWnd,;   
    STRING  @ lpPaint
    
DECLARE integer InvalidateRect	  IN User32;
    INTEGER   hWnd,;    && handle of window with changed update region  
    STRING    lpRect,;	&& address of rectangle coordinates 
    INTEGER   bErase	&& erase-background flag 
   
DECLARE integer SetLastError	  IN Kernel32;
	INTEGER   dwErrCode 

DECLARE INTEGER FormatMessage	  IN Kernel32;
	INTEGER   dwFlags,;
	STRING    lpSource,;
	INTEGER   dwMessageId,;
	INTEGER   dwLanguageId,;
	STRING  @ pBuffer,;
	INTEGER   nSize,;
	STRING    Arguments

DECLARE INTEGER CreateProcess IN kernel32; 
    STRING   lpApplicationName,; 
    STRING   lpCommandLine,; 
    STRING   lpProcessAttributes,; 
    STRING   lpThreadAttributes,; 
    INTEGER  bInheritHandles,; 
    INTEGER  dwCreationFlags,; 
    STRING   lpEnvironment,; 
    STRING   lpCurrentDirectory,; 
    STRING   lpStartupInfo,; 
    STRING @ lpProcessInformation

DECLARE INTEGER CreateNamedPipe IN kernel32; 
    STRING    lpName,;
    INTEGER   dwOpenMode,;
    INTEGER   dwPipeMode,;
    INTEGER   nMaxInstances,;
    INTEGER   nOutBufferSize,;
    INTEGER   nInBufferSize,;
    INTEGER   nDefaultTimeOut,;
    STRING    lpSecurityAttributes

DECLARE INTEGER CreatePipe IN kernel32; 
    INTEGER @ hReadPipe,;
    INTEGER @ hWritePipe,;
    STRING    lpPipeAttributes,;
    INTEGER   nSize
        
DECLARE INTEGER CloseHandle IN kernel32; 
    INTEGER hObject
    
DECLARE INTEGER CreateFile IN kernel32.DLL;
	STRING  lpFileName,;
	INTEGER dwDesiredAccess,;
	INTEGER dwShareMode,;
	INTEGER lpSecurityAttributes,;
	INTEGER dwCreationDistribution,;
	INTEGER dwFlagsAndAttributes,;
	INTEGER hTemplateFile
	
DECLARE INTEGER WriteFile IN kernel32; 
    INTEGER   hFile,; 
    STRING    lpBuffer,; 
    INTEGER   nBt2Write,; 
    INTEGER @ lpBtWritten,; 
    STRING  @ lpOverlapped

DECLARE INTEGER ReadFile IN kernel32; 
    INTEGER   hFile,; 
    STRING    lpBuffer,; 
    INTEGER   nNumberOfBytesToRead,; 
    INTEGER @ lpNumberOfBytesRead,; 
    STRING  @ lpOverlapped 
    
DECLARE Sleep IN kernel32;
    INTEGER cMilliseconds

DECLARE INTEGER PeekNamedPipe IN kernel32;
    INTEGER   hNamedPipe,; 
    STRING  @ lpBuffer,; 
    INTEGER   nBufferSize,;
    INTEGER @ lpBytesRead,; 
    INTEGER @ lpTotalBytesAvail,;
    INTEGER @ lpBytesLeftThisMessage 
    
DECLARE INTEGER WaitForSingleObject IN kernel32.DLL ;
    INTEGER hHandle, ;
    INTEGER dwMilliseconds

DECLARE integer GetVersionEx	  IN WIN32API string
  
DECLARE INTEGER GetWindowDC     	  IN user32.dll   INTEGER
DECLARE INTEGER ReleaseDC       	  IN user32.dll   INTEGER, INTEGER

DECLARE integer ChoosePixelFormat 	  IN gdi32.dll    integer, string
DECLARE integer SetPixelFormat    	  IN gdi32.dll    integer, integer, string

DECLARE integer DocumentProperties 	  IN WinSpool.DRV integer, integer, string, string @, string @, integer
DECLARE integer OpenPrinter 		  IN WinSpool.DRV string @, string @, string @